import { useMessage } from "@/components/MySnackbar";
import { operation } from "@/router";
import { Button } from "@mui/material";
import { Box } from "@mui/system";
import React from "react";

const Demo = ({ childrenRoutes }: { childrenRoutes?: Array<operation> }) => {
  const message = useMessage();

  return (
    <Box>
      <Box>{JSON.stringify(childrenRoutes)}</Box>
      <Button onClick={() => message.success("测试测试")}>message测试</Button>
    </Box>
  );
};

export default Demo;
